*,
*::after,
*::before {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    outline: none;
}

html {
    font-size: 62.5%;
}

body {
    font-family: "Poppins", sans-serif;
}

.container {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    min-height: 100vh;
    margin: 0 auto;
    padding: 5rem 2rem;
    justify-content: center;
}

.container > * {
    width: 100%;
    max-width: 500px;
    min-width: 200px;
}

.container .logo img {
    width: 16rem;
    height: auto;
    margin-bottom: 3rem;
    margin-left: -1rem;
}

h2 {
    font-size: 3.2rem;
    font-weight: 800;
    margin-bottom: 5px;
    color: #000;
}

.subtitle {
    font-size: 1.6rem;
    color: #444444;
    margin-bottom: 25px;
}

.social-buttons {
    display: flex;
    gap: 15px;
    margin-bottom: 20px;
}

.social-buttons button {
    border: none;
    background-color: #fff;
    cursor: pointer;
    margin-bottom: 1.5rem;
}

form {
    width: 100%;
}

.form-group {
    margin-bottom: 2.5rem;
    flex: 1;
}

.form-row {
    display: flex;
    gap: 15px;
}

.first-name-input,
.last-name-input,
.email-input,
.password-input {
    width: 100%;
    padding: 12px 0 12px 20px;
    border: 1px solid #000;
    /* border-radius: 30px; */
    font-size: 1.6rem;
    outline: none;
}

.first-name-input::placeholder,
.last-name-input::placeholder,
.email-input::placeholder,
.password-input::placeholder {
    color: #000;
    font-size: 1.5rem;
}

.email-container {
    position: relative;
}

.email-icon {
    position: absolute;
    right: 15px;
    top: 50%;
    transform: translateY(-50%);
}

.password-container {
    position: relative;
    margin-bottom: 4rem;
}

.show-password {
    position: absolute;
    right: 15px;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
    pointer-events: auto;
}

.terms-notice {
    background-color: #f8e5f8;
    padding: 15px 25px;
    /* border-radius: 20px; */
    font-size: 1.4rem;
    margin-bottom: 3rem;
    color: #333;
}

.terms-link {
    color: #333;
    text-decoration: underline;
    font-size: 1.4rem;
}

.signup-button-container {
    width: 100%;
    text-align: center;
    margin-bottom: 20px;
}

.signup-button {
    width: 20rem;
    padding: 15px;
    background-color: #000;
    color: white;
    border: none;

    font-size: 1.6rem;
    cursor: pointer;
    margin-bottom: 1rem;
}

.signup-button:hover {
    background-color: #6c006c;
}

.login-text {
    text-align: center;
    color: #333;
    font-size: 14px;
}

.login-link {
    color: #000;
    text-decoration: underline;
    font-weight: bold;
}

.login-link:hover {
    color: rgb(77, 76, 76);
}

.visually-hidden {
    position: absolute;
    width: 1px;
    height: 1px;
    margin: -1px;
    padding: 0;
    overflow: hidden;
    clip: rect(0, 0, 0, 0);
    border: 0;
}
.image-section {
    display: none;
}

@media (min-width: 900px) {
    .desktop-layout {
        display: flex;
        min-height: 100vh;
        max-width: 1400px;
        margin: 0 auto;
    }

    .image-section {
        flex: 40%;
        display: flex;
        align-items: center;
        justify-content: right;
        
    }

    .image-section img {
        display: block;
        width: 100%;
    }

    .container {
        flex: 60%;
        
    }
}
